### Function

# GLib HashTable unref

since: 2.10

#### Declaration

    void
    g_hash_table_unref (
      GHashTable* hash_table
    )

#### Description

Atomically decrements the reference count of `hash_table` by one. If the reference count drops to 0, all keys and values will be destroyed, and all memory allocated by the hash table is released. This function is MT-safe and may be called from any thread.

Available since: 2.10

#### Parameters

`hash_table`

  Type: `GHashTable`

  A valid `GHashTable`.

  The called function takes ownership of the data, and is responsible for freeing it.